import WolItem from "@/components/WolItem"
import ReactWebsocket from "@/api/websocket"

import React, { useState, useEffect, useCallback ,forwardRef} from 'react';


import { useSelector, useDispatch } from 'react-redux'
import { decrement, increment,wolupdata } from '@/store/reducers/wolSlice'



export default function Home() {
  const count = useSelector(state => state.wol.value)
  const dispatch = useDispatch()
  const socket = new ReactWebsocket()
  // const [wolarray, setWolarray] = useState([]);
  useEffect(() => {
    updata()
  }, []);
  const updata = useCallback(() => {
    // socket.sendMessage('getall', '', function (eve) { setWolarray(eve.data[0]);dispatch(wolupdata(eve.data[0])) })
    socket.sendMessage('getall', '', function (eve) { dispatch(wolupdata(eve.data[0])) })
  });
  return (
    <div >
      <div className="flex flex-wrap justify-between">
        {count.map((item, index) => (
          <WolItem key={index} mac={item.Mac} name={item.Name} id={item.ID} updata={updata}></WolItem>
        ))}
      </div>
    </div>
  );
}
